Bug 485479 - Publishing messages of varying size to LVQ results in corruption (including underflow) of computed queue depth in bytes
Publishing messages of varying size to LVQ results in corruption (including u...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
urgent Severity high
: 1.1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 13:01 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 16:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program to trigger underflow with lvq (3.98 KB, text/x-c++src)
2009-02-13 13:59 EST, Gordon Sim
no flags Details

  None (edit)
Description Gordon Sim 2009-02-13 13:01:56 EST
1. Publish messages of 100 bytes to each of five keys in an LVQ (NO_BROWSE)
2. Publish messages of 10 bytes to the same keys
3. Repeat step 2. -> an underflow exception is generated by the queue policy
Comment 1 Gordon Sim 2009-02-13 13:59:47 EST
Created attachment 331856 [details]
Test program to trigger underflow with lvq

Test program to trigger underflow with lvq
Comment 2 Gordon Sim 2009-02-13 14:22:12 EST
Fixed by r744222 (additional test added to ClientSessionTest as part of that, standalone test program attached).
Comment 3 Frantisek Reznicek 2009-02-17 07:48:14 EST
Re-tested using Bug 485283 reproducer and also using #1 reproducer
on RHEL 4.7 / 5.3  i386 / x86_64 on packages qpidd-0.4.744917-1.el4/5 and proved that issue has been fixed.

->VERIFIED
Comment 4 Justin Ross 2011-06-27 16:15:49 EDT
Fixed and verified; closing.

Note You need to log in before you can comment on or make changes to this bug.